Bug 169494 - pm-suspend leaves screen black after resume
pm-suspend leaves screen black after resume
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-28 16:59 EDT by Jukka Ketelaars
Modified: 2015-03-04 20:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-24 05:05:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jukka Ketelaars 2005-09-28 16:59:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b4) Gecko/20050915 Fedora/1.5-0.5.0.beta1 Firefox/1.4

Description of problem:
After using gnome-power-manager (or starting the pm-suspend script directly) to suspend an nx7010 (with ATI mobility radeon 9200), the machine resumes, the screen powers on, but remains black.

Version-Release number of selected component (if applicable):
pm-utils-0.04-1

How reproducible:
Always

Steps to Reproduce:
1. run pm-suspend
2. wait until machine is suspended
3. press power button

  

Actual Results:  Screen remains black

Expected Results:  Screen should display same data as when suspend was invoked.

Additional info:

Changing the suspend_video and resume_video functions in /etc/pm/functions-ati as below made things work for me (though I do not doubt it will break stuff for others, just adding it here for the benefit of those with a similar setup).

suspend_video()
{
        /usr/sbin/vbetool vbestate save > /tmp/atisuspendstate
}

resume_video()
{
        /usr/sbin/vbetool post
        /usr/sbin/vbetool vbestate restore < /tmp/atisuspendstate
}
Comment 1 Jeremy Katz 2006-01-25 16:10:37 EST
Is this still a problem with FC5 test2 or later?
Comment 2 Jukka Ketelaars 2006-01-26 16:47:21 EST
Running pm-utils-0.09-1 the same problem still occurs (screen remains black with
backlight on).
Comment 3 Phil Knirsch 2006-02-24 05:05:34 EST
This has been requested for Intel based systems as well, so i'll include this
vbestate save and restore functionality to all 3 major cards (Intel, ATI and
Nvidia).

Fix will be in next build.

Please let me know if this fixes the problem for you.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.